Get Chat
curl --request GET \
--url https://api.yourhomie.ai/v1/chats/{chatId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.yourhomie.ai/v1/chats/{chatId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.yourhomie.ai/v1/chats/{chatId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"chatbotId": "<string>",
"userId": "<string>",
"organizationId": "<string>",
"createdAt": "<string>"
}Chats
Chat abrufen
Rufe einen einzelnen Chat anhand seiner ID ab.
GET
/
v1
/
chats
/
{chatId}
Get Chat
Rufe die Details eines bestehenden Chats anhand seiner ID ab.
Authentifizierung
Diese Anfrage benötigt deinen API-Key imx-api-key-Header.
Request
string
erforderlich
ID des abzurufenden Chats.
Response
string
erforderlich
ID des Chats.
string
erforderlich
ID des Chatbots, zu dem der Chat gehört.
string
erforderlich
ID des verknüpften Endnutzers.
string
erforderlich
ID der Organisation, der der Chat gehört.
string
erforderlich
ISO-8601-Zeitstempel, wann der Chat erstellt wurde.
Beispiele
curl https://api.yourhomie.ai/v1/chats/ab12cd34-ef56-7890-ab12-cd34ef567890 \
-H "x-api-key: homie_sk_live_8f3a..."
const chatId = "ab12cd34-ef56-7890-ab12-cd34ef567890";
const res = await fetch(`https://api.yourhomie.ai/v1/chats/${chatId}`, {
headers: {
"x-api-key": "homie_sk_live_8f3a...",
},
});
const chat = await res.json();
Erfolgreiche Response
{
"id": "ab12cd34-ef56-7890-ab12-cd34ef567890",
"chatbotId": "5e9c1a2b-3d4e-4f60-b2f2-9f4b1c2d3e4f",
"userId": "7c2f9d10-4a6b-4c8e-9f1a-2b3c4d5e6f70",
"organizationId": "11111111-2222-3333-4444-555555555555",
"createdAt": "2025-10-16T11:44:41.140Z"
}
Fehler-Response
{
"message": "Chat not found"
}
Autorisierungen
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.